### Method

# GtkSource SnippetChunk set_text

#### Declaration [src]

    void
    gtk_source_snippet_chunk_set_text (
      GtkSourceSnippetChunk* chunk,
      const gchar* text
    )

#### Description [src]

Sets the text for the snippet chunk.

This is usually used by the snippet engine to update the text, but may be useful when creating custom snippets to avoid expansion of any specification.

Sets property | `GtkSource.SnippetChunk:text`

#### Parameters

`text`

  Type: `const gchar*`

  The text of the property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.